import { ContextMenu as ContextMenu$1 } from '@ktmap/map';
import { warn } from '@ktmap/shared';

/**
 *
 */
class ContextMenu extends ContextMenu$1 {
    constructor(options) {
        super();
        Object.defineProperty(this, "options", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: options
        });
    }
    __init() {
        console.log('ContextMenu init success');
        if ((process.env.NODE_ENV !== 'production')) {
            warn('开发环境警告，测试');
        }
    }
}
Object.defineProperty(ContextMenu, "NAME", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'ContextMenu'
});

export { ContextMenu };
